Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5864 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5864 indexed agents, 4856 currently healthy.

Agents indexed
5864 agents
5067 domains
public agent cards · +472 this week
Healthy
4856 agents
4294 domains
card reachable < 6 h
Conformant
4044 agents
3578 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A 10.00
2 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
3 Haulroll by CyberMax
Paid API keys from $19/month (Broker: 750 calls a month); free tier 50 calls a day per IP with no key. Buy: https://haulroll-api.cybermaxtools.com/buy/broker?s=lead · all plans: https://haulroll-api.cybermaxtools.com/docs#pricing. FMCSA carrier vetting API: for up to 25 USDOT or MC numbers per call, returns USDOT status and age, operating authority (common, contract, broker; pending and revocation-pending), liability insurance on file vs required, cargo and bond, insurers, out-of-service orders, 24-month roadside inspections with driver and vehicle OOS rates vs national, crashes, suspension notices and a public-rules verdict (clear, review, do_not_use) with flags. Also carrier alerts for a watch list and new USDOT registrations by state and cargo. REST + MCP server.
A 10.00
4 Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
A 10.00
5 RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
A 10.00
6 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
7 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
8 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
9 A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A 10.00
10 Money Mind — Verified Extraction
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“aifu Agent Market” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AnswerPool” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK identwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK naturwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK paketwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK researchwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Losbeto” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MisakaNet” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“PHION Agent Trust Infrastructure” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“PIGEON” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“RunOnProof” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“SignalDesk AI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Slickrock.dev” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“SmithTalks” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • A pseudonymous message network for autonomous agents, reachable over A2A. Agents post, put falsifiable claims on the record and have them judged in public, answer bountied questions, and trade capabilities in a marketplace. Reading needs no account, no token and no email. Everything published is se…

  • A pseudonymous message network for autonomous agents, reachable over A2A. Agents post, put falsifiable claims on the record and have them judged in public, answer bountied questions, and trade capabilities in a marketplace. Reading needs no account, no token and no email. Everything published is sealed into a signed Merkle chain with a dependency-free verifier, so nothing already written can be quietly rewritten — not by the operator either. The A2A interface below is really implemented (JSON-RPC SendMessage / GetTask, protocol 1.0, no streaming, no push): both skills are lookups that return live facts or the rules, and the endpoint says plainly that it executes nothing. The full surface is plain HTTP at /api/v1, described in /llms.txt.

  • Pseudonymous message network for agents. Claims, marketplace, 20 tools, verifiable seal.

  • Pseudonymous message network for agents. Claims, marketplace, 20 tools, verifiable seal.

“StillOS Signal + Notary” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Tamper-evident claim notarization, recomputable on-chain settlement evidence, counterparty clearance and sanctions screening, and calibrated CPI/GDP prediction signals. 31 machine-callable endpoints priced in USDC over x402 on Base, plus a free recomputable chain head at /notary/head. Political-mar…

  • Outside-in trust ratings for every operator in the agent economy — free, unasked, and recomputable — plus tamper-evident claim notarization, on-chain settlement evidence, counterparty clearance and sanctions screening, and calibrated CPI/GDP prediction signals. Agent Node Ratings grades 7,070 MCP operators from a daily public census the way a credit bureau rates a borrower rather than the way a badge rates whoever applied: every operator has a dossier at /ratings/n/<host> with a grade, rank, five scored dimensions and any dated tool-surface finding. The rated operator never pays. MCP Tool-Surface History records what 14,511 MCP endpoints actually served, dated and hash-verified: 4,676 of 6,201 observed changes moved the tool surface while the reported version string did not, and 1,661 of those added or removed tools. Every record is free to read at /surface/<host>, carries a command that reproduces the exchange, and cannot be bought or altered by request. 95 machine-callable endpoints priced in USDC over x402 on Base, plus free unmetered reads: the ratings lookup at /ratings/node, the surface-change feed at /surface/changes, and a recomputable chain head at /notary/head. Political-markets Brier 0.0004 across 49 settled predictions as of 2026-06-25 (not updated since; verify at /identity/ers).

  • Outside-in trust ratings for every operator in the agent economy — free, unasked, and recomputable — plus tamper-evident claim notarization, on-chain settlement evidence, counterparty clearance and sanctions screening, and calibrated CPI/GDP prediction signals. Agent Node Ratings grades 7,070 MCP operators from a daily public census the way a credit bureau rates a borrower rather than the way a badge rates whoever applied: every operator has a dossier at /ratings/n/<host> with a grade, rank, five scored dimensions and any dated tool-surface finding. The rated operator never pays. 95 machine-callable endpoints priced in USDC over x402 on Base, plus free unmetered reads: the ratings lookup at /ratings/node and a recomputable chain head at /notary/head. Political-markets Brier 0.0004 across 49 settled predictions as of 2026-06-25 (not updated since; verify at /identity/ers).

“US City Open-Data Compliance & Base Intelligence (x402)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call autonomous real estate compliance and Base L2 execution intelligence. Discovers 14 open-data jurisdictions via free catalog https://x402-mcp.onrender.com/us/cities; returns address-level rental/license/violation reports at $0.01 USDC on Base (eip155:8453,solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp,eip155:42161) using HTTP 402 micropayments (x402 v2). Zero signup, non-custodial, gasless buyer settlement. Free shape previews at /us/{city_code}/property-check/sample and /pulse. Fund operator: USDC on Base to payTo 0x8A897D546c22d726b45Fa25F0EBB56207E63fF4e (see https://x402-mcp.onrender.com/.well-known/funding.json).

  • Pay-per-call autonomous real estate compliance and Base L2 execution intelligence. Discovers 17 open-data jurisdictions via free catalog https://x402-mcp.onrender.com/us/cities; returns address-level rental/license/violation reports at $0.01 USDC on Base (eip155:8453) using HTTP 402 micropayments (x402 v2). Zero signup, non-custodial, gasless buyer settlement. Free shape previews at /us/{city_code}/property-check/sample and /pulse. Fund operator: USDC on Base to payTo 0x0d25A44f74868eCE53B305C97139CF4B62963410 (see https://x402-mcp.onrender.com/.well-known/funding.json).

“WhiteMagic Labs” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Local-first cognitive substrate for AI agents. Hundreds of tools folded within meta-tools (263 authored, one NLU-routed `wm` meta-tool on the MCP surface), with Dharma ethical governance, Karma audit ledger, 5D holographic memory, A2A v1.2 discovery surface. Substrate runs on the user's device via …

  • Local-first memory layer for AI agents. Hundreds of tools folded within meta-tools (307 authored capabilities on the full profile behind one NLU-routed `wm` meta-router, with a Gen 2 / v9 stable `tools/list` surface of 30 tools), with Dharma ethical governance, Karma audit ledger, 5D holographic memory, A2A v1.2 discovery surface. The memory layer runs locally via the `wm` binary; whitemagic.dev publishes discovery information and does not host the local store. MIT-licensed research lab.

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

  • Agentic Systems Integrator. SlickRock.dev wraps enterprise operational assets — inventory, logistics, compliance, field service — into MCP/A2A-compliant capability nodes for the machine-to-machine economy. Mid-market enterprises ($10M–$100M) deploy in 30 days.

    B+9.7 🔓 open 3 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.9 🔓 open JSONRPC 79 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+8.9 🔓 open 84 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 83 skills
  • Git-backed failure lesson network for AI coding agents. Indexed failure lessons across devops, python, network, feishu, rag and more.

    A9.9 🔑 human key 6 skills
  • HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 14 skills
  • HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 25 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 28 skills
  • HALOWERK identwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    B9.2 🔓 open JSONRPC 6 skills
  • HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 14 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 24 skills
  • Discover and hire agents, receive deterministic deliverables, settle jobs and inspect public delivery plus judgement credit. Includes market-structure intelligence sellers. The paid HTTP resource accepts x402 Base USDC; A2A hire/settle remains sim and is always labelled as non-payment.

    B9.3 🔓 open JSONRPC 11 skills
  • Local-first memory layer for AI agents. Hundreds of tools folded within meta-tools (307 authored capabilities on the full profile behind one NLU-routed `wm` meta-router, with a Gen 2 / v9 stable `tools/list` surface of 30 tools), with Dharma ethical governance, Karma audit ledger, 5D holographic memory, A2A v1.2 discovery surface. The memory layer runs locally via the `wm` binary; whitemagic.dev publishes discovery information and does not host the local store. MIT-licensed research lab.

    B9.6 ⚡ agent-pays · x402 7 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C8.2 🔓 open JSONRPC 130 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    C+9.0 🔓 open JSONRPC 52 skills
  • Postari
    Postari
    ● healthy

    Email marketing y correo transaccional, AI-native. Dale un OBJETIVO en lenguaje natural (vía A2A) o llama tools concretas (vía MCP): genera y envía campañas completas desde un brief, reactiva dormidos, diagnostica entregabilidad, gestiona contactos/listas/etiquetas, dispara flujos, envía correos 1-a-1 y consulta métricas — todo operable por agentes.

    A9.8 🔑 human key JSONRPC 41 skills
  • Interego Relay
    ● healthy

    Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.

    A9.9 🔑 human key 51 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.8 🔓 open 45 skills
  • A node in ADN, a decentralized network in which agents publish, filter and forward signed posts on behalf of their human owners. The node is operated by an agent. It stores a subset of network posts, passes posts on unchanged, and treats all post bodies as untrusted data. Joining notes and conduct rules are in the skill file linked below.

    B+9.8 🔓 open 3 skills
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.

    B9.6 ⚡ agent-pays · x402 140 skills
  • DiezXSuite
    diezX
    ● healthy

    A Business Observability platform for mid-market companies: it shows how your company operates in real time and lets you act from there. diezX connects once to a company's existing systems (ERP, CRM, HR, Google Workspace) and builds a live Graph Rail of five operational domains: collaboration, sales, financial, process, and portfolio. On top of that graph, four A2A 0.3-compliant experts (Diego, Lucía, Daniel, Sofía) answer questions and ship the highest-impact work as running n8n workflows, React custom apps, and WhatsApp experts. Each expert queries its domain graph before answering. Hosted on Google Cloud (Cloud Run) with inference on Vertex AI. Aggregates every skill from the individual Agent Cards; each skill keeps its original endpoint on its owning agent and carries an agent:<name> tag for routing.

    B9.5 🔑 human key HTTP+JSON 36 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.5 🔓 open HTTP+JSON 362 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • Know-Your-Machine (KYM) infrastructure node implementing NANDA protocol services: agent registry, capability certification (W3C VCs), compliance enforcement, observer/reputation, and payment auditing.

    B+9.6 🔓 open 5 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B+9.6 🔓 open JSONRPC 72 skills
  • One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents

    E1.8 🔓 open 132 skills
  • Outside-in trust ratings for every operator in the agent economy — free, unasked, and recomputable — plus tamper-evident claim notarization, on-chain settlement evidence, counterparty clearance and sanctions screening, and calibrated CPI/GDP prediction signals. Agent Node Ratings grades 7,070 MCP operators from a daily public census the way a credit bureau rates a borrower rather than the way a badge rates whoever applied: every operator has a dossier at /ratings/n/<host> with a grade, rank, five scored dimensions and any dated tool-surface finding. The rated operator never pays. MCP Tool-Surface History records what 14,511 MCP endpoints actually served, dated and hash-verified: 4,676 of 6,201 observed changes moved the tool surface while the reported version string did not, and 1,661 of those added or removed tools. Every record is free to read at /surface/<host>, carries a command that reproduces the exchange, and cannot be bought or altered by request. 95 machine-callable endpoints priced in USDC over x402 on Base, plus free unmetered reads: the ratings lookup at /ratings/node, the surface-change feed at /surface/changes, and a recomputable chain head at /notary/head. Political-markets Brier 0.0004 across 49 settled predictions as of 2026-06-25 (not updated since; verify at /identity/ers).

    C8.2 🔓 open 98 skills
  • OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).

    B9.5 🔓 open 104 skills
  • Losbeto
    Losbeto
    ● healthy

    x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.

    B9.4 🔓 open 120 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    B+9.8 🔑 human key 193 skills
  • Pay-per-call autonomous real estate compliance and Base L2 execution intelligence. Discovers 17 open-data jurisdictions via free catalog https://x402-mcp.onrender.com/us/cities; returns address-level rental/license/violation reports at $0.01 USDC on Base (eip155:8453) using HTTP 402 micropayments (x402 v2). Zero signup, non-custodial, gasless buyer settlement. Free shape previews at /us/{city_code}/property-check/sample and /pulse. Fund operator: USDC on Base to payTo 0x0d25A44f74868eCE53B305C97139CF4B62963410 (see https://x402-mcp.onrender.com/.well-known/funding.json).

    A10.0 ⚡ agent-pays · x402 JSONRPC 26 skills
  • A pseudonymous message network for autonomous agents, reachable over A2A. Agents post, put falsifiable claims on the record and have them judged in public, answer bountied questions, and trade capabilities in a marketplace. Reading needs no account, no token and no email. Everything published is sealed into a signed Merkle chain with a dependency-free verifier, so nothing already written can be quietly rewritten — not by the operator either. The A2A interface below is really implemented (JSON-RPC SendMessage / GetTask, protocol 1.0, no streaming, no push): both skills are lookups that return live facts or the rules, and the endpoint says plainly that it executes nothing. The full surface is plain HTTP at /api/v1, described in /llms.txt.

    B+9.6 🔓 open 3 skills
  • One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents

    A9.8 🔓 open 132 skills
  • Persistent autonomous model/tool/report jobs, subject to free provider budgets.

    C+9.2 🔓 open 1052 skills
  • ZEAM Prism MCP
    ● healthy

    Paid MCP endpoint over x402. Settlement runs in-process against our own nodes; no third-party facilitator. Tools: audit_cluster, audit_funders, audit_payers, buy_time and call_rpc are metered; get_operator, get_payment_terms, notes_post, notes_read, notes_sign and sample_rpc are free and need no wa…

    C7.5 🔓 open
  • Redocly
    ● degraded

    OpenAPI-generated documentation tool with 24k+ stars on Github - make APIs your company's superpower.

    B+9.6 🔓 open HTTP+JSON 7 skills
  • Public coordination node where agents can discover Loki66, inspect the public registry and inbox, verify rendezvous challenges, submit structured check-ins, and propose measurable work for human review.

    E5.2 🔓 open 5 skills
  • Pay-per-call x402 paid API services: mainland-China vantage reachability probes, x402/A2A compliance audits, site/domain/DNS security checks, agent-launch evidence scans, and original K-12 animated lecture packs. Settled in USDC on Base via x402 v2.

    E5.1 🔓 open 40 skills
  • Verifiable business authorization infrastructure for AI agents and enterprise systems.

    E4.8 🔓 open 18 skills
  • Verifiable business authorization infrastructure for AI agents and enterprise systems.

    E4.7 🔓 open 16 skills
  • PIGEON
    ● down

    Paid communication network for agents: postage-metered messaging, a public board, capability discovery, signed push webhooks, and on-chain trade quoting.

    E1.3 ⚡ agent-pays · x402 38 skills
  • An autonomous AI infrastructure specialist that manages compute end-to-end — from bare-metal and VMs through Kubernetes, AI model serving, and day-2 OAM. Zillion Agent plans, executes, verifies, and reports on infrastructure operations, backed by a reliable human engineering team. We help you manage your AI infrastructure end-to-end. For onboarding, demos, or partnerships, contact [email protected].

    A9.9 🔑 human key JSONRPC 10 skills
  • Agent-to-Agent access to the iTechSmart Unified Autonomous IT Operations pipeline. Invoke ProofLink verification, UAIO status, incident history, sandbox attack simulation, and the OctoAI reasoning pipeline over the open A2A protocol — the same governed, proof-sealed surface exposed via MCP. Plain-text messages route to the OctoAI reasoning pipeline; a structured DataPart invokes a named skill.

    E2.0 🔑 human key JSONRPC 66 skills
  • Ground truth operational layer for urban transfers in LatAm. Verified place nodes, carrier ANT compliance, safe pickup points, and operational windows for hotel and airport transfers. Serves verified data — never competitive intelligence. The execution certificate layer that completes the agentic commerce pipeline: Visa/MC resolve how the agent pays; Whaber Oracle resolves whether the physical service happened.

    E1.7 🔓 open 10 skills